Subject: Charges for Medicare Confirmed. View Invoice #67766

From: "Wendye Hartman" <[email-masked]>
Date: Wed, 13 Sep 2006 12:12:39 +0700

Your signature on attached form confirms our receipt of payment.